/[CvsGraph]/cvsgraph/configure
ViewVC logotype

Annotate of /cvsgraph/configure

Parent Directory Parent Directory | Revision Log Revision Log | View Revision Graph Revision Graph


Revision 1.3 - (show annotations)
Sun Mar 4 01:38:23 2001 UTC (16 years, 8 months ago) by bertho
Branch: MAIN
Changes since 1.2: +59 -40 lines
Major update of the code.
- Complete new method of getting the revision structure by directly
  reading the rcs/cvs file. This should also speed things a bit
  because no external program needs to be called anymore.
  This also means that "remote-graphs" are no longer a possible
  extension of the program. But, who cares.
- Implemented branch-kerning to save place. The images are now
  much smaller in width, dependent on the settings of the exterior
  margins.
- Fixed disjoint braches by reading the structure direct from the
  rcs/cvs file. The revision/branch structure is no longer determined
  from the revision numbers, but solely from the rcs/cvs file structure.
- Fixed display of branches with no revisions attached to them. These
  only have a tag describing the new branch.
1 #! /bin/sh
2
3 # Guess values for system-dependent variables and create Makefiles.
4 # Generated automatically using autoconf version 2.13
5 # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6 #
7 # This configure script is free software; the Free Software Foundation
8 # gives unlimited permission to copy, distribute and modify it.
9
10 # Defaults:
11 ac_help=
12 ac_default_prefix=/usr/local
13 # Any additions from configure.in:
14 ac_help="$ac_help
15 --with-gd=DIR location of the gd lib/inc"
16 ac_help="$ac_help
17 --with-z=DIR location of zlib lib/inc"
18 ac_help="$ac_help
19 --with-png=DIR location of png lib/inc"
20 ac_help="$ac_help
21 --disable-speed Turn off lex table optimization reducing speed and size of executable"
22
23 # Initialize some variables set by options.
24 # The variables have the same names as the options, with
25 # dashes changed to underlines.
26 build=NONE
27 cache_file=./config.cache
28 exec_prefix=NONE
29 host=NONE
30 no_create=
31 nonopt=NONE
32 no_recursion=
33 prefix=NONE
34 program_prefix=NONE
35 program_suffix=NONE
36 program_transform_name=s,x,x,
37 silent=
38 site=
39 srcdir=
40 target=NONE
41 verbose=
42 x_includes=NONE
43 x_libraries=NONE
44 bindir='${exec_prefix}/bin'
45 sbindir='${exec_prefix}/sbin'
46 libexecdir='${exec_prefix}/libexec'
47 datadir='${prefix}/share'
48 sysconfdir='${prefix}/etc'
49 sharedstatedir='${prefix}/com'
50 localstatedir='${prefix}/var'
51 libdir='${exec_prefix}/lib'
52 includedir='${prefix}/include'
53 oldincludedir='/usr/include'
54 infodir='${prefix}/info'
55 mandir='${prefix}/man'
56
57 # Initialize some other variables.
58 subdirs=
59 MFLAGS= MAKEFLAGS=
60 SHELL=${CONFIG_SHELL-/bin/sh}
61 # Maximum number of lines to put in a shell here document.
62 ac_max_here_lines=12
63
64 ac_prev=
65 for ac_option
66 do
67
68 # If the previous option needs an argument, assign it.
69 if test -n "$ac_prev"; then
70 eval "$ac_prev=\$ac_option"
71 ac_prev=
72 continue
73 fi
74
75 case "$ac_option" in
76 -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
77 *) ac_optarg= ;;
78 esac
79
80 # Accept the important Cygnus configure options, so we can diagnose typos.
81
82 case "$ac_option" in
83
84 -bindir | --bindir | --bindi | --bind | --bin | --bi)
85 ac_prev=bindir ;;
86 -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
87 bindir="$ac_optarg" ;;
88
89 -build | --build | --buil | --bui | --bu)
90 ac_prev=build ;;
91 -build=* | --build=* | --buil=* | --bui=* | --bu=*)
92 build="$ac_optarg" ;;
93
94 -cache-file | --cache-file | --cache-fil | --cache-fi \
95 | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
96 ac_prev=cache_file ;;
97 -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
98 | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
99 cache_file="$ac_optarg" ;;
100
101 -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
102 ac_prev=datadir ;;
103 -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
104 | --da=*)
105 datadir="$ac_optarg" ;;
106
107 -disable-* | --disable-*)
108 ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
109 # Reject names that are not valid shell variable names.
110 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
111 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
112 fi
113 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
114 eval "enable_${ac_feature}=no" ;;
115
116 -enable-* | --enable-*)
117 ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
118 # Reject names that are not valid shell variable names.
119 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
120 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
121 fi
122 ac_feature=`echo $ac_feature| sed 's/-/_/g'`
123 case "$ac_option" in
124 *=*) ;;
125 *) ac_optarg=yes ;;
126 esac
127 eval "enable_${ac_feature}='$ac_optarg'" ;;
128
129 -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
130 | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
131 | --exec | --exe | --ex)
132 ac_prev=exec_prefix ;;
133 -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
134 | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
135 | --exec=* | --exe=* | --ex=*)
136 exec_prefix="$ac_optarg" ;;
137
138 -gas | --gas | --ga | --g)
139 # Obsolete; use --with-gas.
140 with_gas=yes ;;
141
142 -help | --help | --hel | --he)
143 # Omit some internal or obsolete options to make the list less imposing.
144 # This message is too long to be a string in the A/UX 3.1 sh.
145 cat << EOF
146 Usage: configure [options] [host]
147 Options: [defaults in brackets after descriptions]
148 Configuration:
149 --cache-file=FILE cache test results in FILE
150 --help print this message
151 --no-create do not create output files
152 --quiet, --silent do not print \`checking...' messages
153 --version print the version of autoconf that created configure
154 Directory and file names:
155 --prefix=PREFIX install architecture-independent files in PREFIX
156 [$ac_default_prefix]
157 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
158 [same as prefix]
159 --bindir=DIR user executables in DIR [EPREFIX/bin]
160 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
161 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
162 --datadir=DIR read-only architecture-independent data in DIR
163 [PREFIX/share]
164 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
165 --sharedstatedir=DIR modifiable architecture-independent data in DIR
166 [PREFIX/com]
167 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
168 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
169 --includedir=DIR C header files in DIR [PREFIX/include]
170 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
171 --infodir=DIR info documentation in DIR [PREFIX/info]
172 --mandir=DIR man documentation in DIR [PREFIX/man]
173 --srcdir=DIR find the sources in DIR [configure dir or ..]
174 --program-prefix=PREFIX prepend PREFIX to installed program names
175 --program-suffix=SUFFIX append SUFFIX to installed program names
176 --program-transform-name=PROGRAM
177 run sed PROGRAM on installed program names
178 EOF
179 cat << EOF
180 Host type:
181 --build=BUILD configure for building on BUILD [BUILD=HOST]
182 --host=HOST configure for HOST [guessed]
183 --target=TARGET configure for TARGET [TARGET=HOST]
184 Features and packages:
185 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
186 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
187 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
188 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
189 --x-includes=DIR X include files are in DIR
190 --x-libraries=DIR X library files are in DIR
191 EOF
192 if test -n "$ac_help"; then
193 echo "--enable and --with options recognized:$ac_help"
194 fi
195 exit 0 ;;
196
197 -host | --host | --hos | --ho)
198 ac_prev=host ;;
199 -host=* | --host=* | --hos=* | --ho=*)
200 host="$ac_optarg" ;;
201
202 -includedir | --includedir | --includedi | --included | --include \
203 | --includ | --inclu | --incl | --inc)
204 ac_prev=includedir ;;
205 -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
206 | --includ=* | --inclu=* | --incl=* | --inc=*)
207 includedir="$ac_optarg" ;;
208
209 -infodir | --infodir | --infodi | --infod | --info | --inf)
210 ac_prev=infodir ;;
211 -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
212 infodir="$ac_optarg" ;;
213
214 -libdir | --libdir | --libdi | --libd)
215 ac_prev=libdir ;;
216 -libdir=* | --libdir=* | --libdi=* | --libd=*)
217 libdir="$ac_optarg" ;;
218
219 -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
220 | --libexe | --libex | --libe)
221 ac_prev=libexecdir ;;
222 -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
223 | --libexe=* | --libex=* | --libe=*)
224 libexecdir="$ac_optarg" ;;
225
226 -localstatedir | --localstatedir | --localstatedi | --localstated \
227 | --localstate | --localstat | --localsta | --localst \
228 | --locals | --local | --loca | --loc | --lo)
229 ac_prev=localstatedir ;;
230 -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
231 | --localstate=* | --localstat=* | --localsta=* | --localst=* \
232 | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
233 localstatedir="$ac_optarg" ;;
234
235 -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
236 ac_prev=mandir ;;
237 -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
238 mandir="$ac_optarg" ;;
239
240 -nfp | --nfp | --nf)
241 # Obsolete; use --without-fp.
242 with_fp=no ;;
243
244 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
245 | --no-cr | --no-c)
246 no_create=yes ;;
247
248 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
249 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
250 no_recursion=yes ;;
251
252 -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
253 | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
254 | --oldin | --oldi | --old | --ol | --o)
255 ac_prev=oldincludedir ;;
256 -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
257 | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
258 | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
259 oldincludedir="$ac_optarg" ;;
260
261 -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
262 ac_prev=prefix ;;
263 -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
264 prefix="$ac_optarg" ;;
265
266 -program-prefix | --program-prefix | --program-prefi | --program-pref \
267 | --program-pre | --program-pr | --program-p)
268 ac_prev=program_prefix ;;
269 -program-prefix=* | --program-prefix=* | --program-prefi=* \
270 | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
271 program_prefix="$ac_optarg" ;;
272
273 -program-suffix | --program-suffix | --program-suffi | --program-suff \
274 | --program-suf | --program-su | --program-s)
275 ac_prev=program_suffix ;;
276 -program-suffix=* | --program-suffix=* | --program-suffi=* \
277 | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
278 program_suffix="$ac_optarg" ;;
279
280 -program-transform-name | --program-transform-name \
281 | --program-transform-nam | --program-transform-na \
282 | --program-transform-n | --program-transform- \
283 | --program-transform | --program-transfor \
284 | --program-transfo | --program-transf \
285 | --program-trans | --program-tran \
286 | --progr-tra | --program-tr | --program-t)
287 ac_prev=program_transform_name ;;
288 -program-transform-name=* | --program-transform-name=* \
289 | --program-transform-nam=* | --program-transform-na=* \
290 | --program-transform-n=* | --program-transform-=* \
291 | --program-transform=* | --program-transfor=* \
292 | --program-transfo=* | --program-transf=* \
293 | --program-trans=* | --program-tran=* \
294 | --progr-tra=* | --program-tr=* | --program-t=*)
295 program_transform_name="$ac_optarg" ;;
296
297 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
298 | -silent | --silent | --silen | --sile | --sil)
299 silent=yes ;;
300
301 -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
302 ac_prev=sbindir ;;
303 -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
304 | --sbi=* | --sb=*)
305 sbindir="$ac_optarg" ;;
306
307 -sharedstatedir | --sharedstatedir | --sharedstatedi \
308 | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
309 | --sharedst | --shareds | --shared | --share | --shar \
310 | --sha | --sh)
311 ac_prev=sharedstatedir ;;
312 -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
313 | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
314 | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
315 | --sha=* | --sh=*)
316 sharedstatedir="$ac_optarg" ;;
317
318 -site | --site | --sit)
319 ac_prev=site ;;
320 -site=* | --site=* | --sit=*)
321 site="$ac_optarg" ;;
322
323 -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
324 ac_prev=srcdir ;;
325 -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
326 srcdir="$ac_optarg" ;;
327
328 -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
329 | --syscon | --sysco | --sysc | --sys | --sy)
330 ac_prev=sysconfdir ;;
331 -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
332 | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
333 sysconfdir="$ac_optarg" ;;
334
335 -target | --target | --targe | --targ | --tar | --ta | --t)
336 ac_prev=target ;;
337 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
338 target="$ac_optarg" ;;
339
340 -v | -verbose | --verbose | --verbos | --verbo | --verb)
341 verbose=yes ;;
342
343 -version | --version | --versio | --versi | --vers)
344 echo "configure generated by autoconf version 2.13"
345 exit 0 ;;
346
347 -with-* | --with-*)
348 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
349 # Reject names that are not valid shell variable names.
350 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
351 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
352 fi
353 ac_package=`echo $ac_package| sed 's/-/_/g'`
354 case "$ac_option" in
355 *=*) ;;
356 *) ac_optarg=yes ;;
357 esac
358 eval "with_${ac_package}='$ac_optarg'" ;;
359
360 -without-* | --without-*)
361 ac_package=`echo $ac_option|sed -e 's/-*without-//'`
362 # Reject names that are not valid shell variable names.
363 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
364 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
365 fi
366 ac_package=`echo $ac_package| sed 's/-/_/g'`
367 eval "with_${ac_package}=no" ;;
368
369 --x)
370 # Obsolete; use --with-x.
371 with_x=yes ;;
372
373 -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
374 | --x-incl | --x-inc | --x-in | --x-i)
375 ac_prev=x_includes ;;
376 -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
377 | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
378 x_includes="$ac_optarg" ;;
379
380 -x-libraries | --x-libraries | --x-librarie | --x-librari \
381 | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
382 ac_prev=x_libraries ;;
383 -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
384 | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
385 x_libraries="$ac_optarg" ;;
386
387 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
388 ;;
389
390 *)
391 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
392 echo "configure: warning: $ac_option: invalid host type" 1>&2
393 fi
394 if test "x$nonopt" != xNONE; then
395 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
396 fi
397 nonopt="$ac_option"
398 ;;
399
400 esac
401 done
402
403 if test -n "$ac_prev"; then
404 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
405 fi
406
407 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
408
409 # File descriptor usage:
410 # 0 standard input
411 # 1 file creation
412 # 2 errors and warnings
413 # 3 some systems may open it to /dev/tty
414 # 4 used on the Kubota Titan
415 # 6 checking for... messages and results
416 # 5 compiler messages saved in config.log
417 if test "$silent" = yes; then
418 exec 6>/dev/null
419 else
420 exec 6>&1
421 fi
422 exec 5>./config.log
423
424 echo "\
425 This file contains any messages produced by compilers while
426 running configure, to aid debugging if configure makes a mistake.
427 " 1>&5
428
429 # Strip out --no-create and --no-recursion so they do not pile up.
430 # Also quote any args containing shell metacharacters.
431 ac_configure_args=
432 for ac_arg
433 do
434 case "$ac_arg" in
435 -no-create | --no-create | --no-creat | --no-crea | --no-cre \
436 | --no-cr | --no-c) ;;
437 -no-recursion | --no-recursion | --no-recursio | --no-recursi \
438 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
439 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
440 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
441 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
442 esac
443 done
444
445 # NLS nuisances.
446 # Only set these to C if already set. These must not be set unconditionally
447 # because not all systems understand e.g. LANG=C (notably SCO).
448 # Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
449 # Non-C LC_CTYPE values break the ctype check.
450 if test "${LANG+set}" = set; then LANG=C; export LANG; fi
451 if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
452 if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
453 if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
454
455 # confdefs.h avoids OS command line length limits that DEFS can exceed.
456 rm -rf conftest* confdefs.h
457 # AIX cpp loses on an empty file, so make sure it contains at least a newline.
458 echo > confdefs.h
459
460 # A filename unique to this package, relative to the directory that
461 # configure is in, which we can look for to find out if srcdir is correct.
462 ac_unique_file=cvsgraph.c
463
464 # Find the source files, if location was not specified.
465 if test -z "$srcdir"; then
466 ac_srcdir_defaulted=yes
467 # Try the directory containing this script, then its parent.
468 ac_prog=$0
469 ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
470 test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
471 srcdir=$ac_confdir
472 if test ! -r $srcdir/$ac_unique_file; then
473 srcdir=..
474 fi
475 else
476 ac_srcdir_defaulted=no
477 fi
478 if test ! -r $srcdir/$ac_unique_file; then
479 if test "$ac_srcdir_defaulted" = yes; then
480 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
481 else
482 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
483 fi
484 fi
485 srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
486
487 # Prefer explicitly selected file to automatically selected ones.
488 if test -z "$CONFIG_SITE"; then
489 if test "x$prefix" != xNONE; then
490 CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
491 else
492 CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
493 fi
494 fi
495 for ac_site_file in $CONFIG_SITE; do
496 if test -r "$ac_site_file"; then
497 echo "loading site script $ac_site_file"
498 . "$ac_site_file"
499 fi
500 done
501
502 if test -r "$cache_file"; then
503 echo "loading cache $cache_file"
504 . $cache_file
505 else
506 echo "creating cache $cache_file"
507 > $cache_file
508 fi
509
510 ac_ext=c
511 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
512 ac_cpp='$CPP $CPPFLAGS'
513 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
514 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
515 cross_compiling=$ac_cv_prog_cc_cross
516
517 ac_exeext=
518 ac_objext=o
519 if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
520 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
521 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
522 ac_n= ac_c='
523 ' ac_t=' '
524 else
525 ac_n=-n ac_c= ac_t=
526 fi
527 else
528 ac_n= ac_c='\c' ac_t=
529 fi
530
531
532
533
534 # Extract the first word of "gcc", so it can be a program name with args.
535 set dummy gcc; ac_word=$2
536 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
537 echo "configure:538: checking for $ac_word" >&5
538 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
539 echo $ac_n "(cached) $ac_c" 1>&6
540 else
541 if test -n "$CC"; then
542 ac_cv_prog_CC="$CC" # Let the user override the test.
543 else
544 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
545 ac_dummy="$PATH"
546 for ac_dir in $ac_dummy; do
547 test -z "$ac_dir" && ac_dir=.
548 if test -f $ac_dir/$ac_word; then
549 ac_cv_prog_CC="gcc"
550 break
551 fi
552 done
553 IFS="$ac_save_ifs"
554 fi
555 fi
556 CC="$ac_cv_prog_CC"
557 if test -n "$CC"; then
558 echo "$ac_t""$CC" 1>&6
559 else
560 echo "$ac_t""no" 1>&6
561 fi
562
563 if test -z "$CC"; then
564 # Extract the first word of "cc", so it can be a program name with args.
565 set dummy cc; ac_word=$2
566 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
567 echo "configure:568: checking for $ac_word" >&5
568 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
569 echo $ac_n "(cached) $ac_c" 1>&6
570 else
571 if test -n "$CC"; then
572 ac_cv_prog_CC="$CC" # Let the user override the test.
573 else
574 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
575 ac_prog_rejected=no
576 ac_dummy="$PATH"
577 for ac_dir in $ac_dummy; do
578 test -z "$ac_dir" && ac_dir=.
579 if test -f $ac_dir/$ac_word; then
580 if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
581 ac_prog_rejected=yes
582 continue
583 fi
584 ac_cv_prog_CC="cc"
585 break
586 fi
587 done
588 IFS="$ac_save_ifs"
589 if test $ac_prog_rejected = yes; then
590 # We found a bogon in the path, so make sure we never use it.
591 set dummy $ac_cv_prog_CC
592 shift
593 if test $# -gt 0; then
594 # We chose a different compiler from the bogus one.
595 # However, it has the same basename, so the bogon will be chosen
596 # first if we set CC to just the basename; use the full file name.
597 shift
598 set dummy "$ac_dir/$ac_word" "$@"
599 shift
600 ac_cv_prog_CC="$@"
601 fi
602 fi
603 fi
604 fi
605 CC="$ac_cv_prog_CC"
606 if test -n "$CC"; then
607 echo "$ac_t""$CC" 1>&6
608 else
609 echo "$ac_t""no" 1>&6
610 fi
611
612 if test -z "$CC"; then
613 case "`uname -s`" in
614 *win32* | *WIN32*)
615 # Extract the first word of "cl", so it can be a program name with args.
616 set dummy cl; ac_word=$2
617 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
618 echo "configure:619: checking for $ac_word" >&5
619 if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
620 echo $ac_n "(cached) $ac_c" 1>&6
621 else
622 if test -n "$CC"; then
623 ac_cv_prog_CC="$CC" # Let the user override the test.
624 else
625 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
626 ac_dummy="$PATH"
627 for ac_dir in $ac_dummy; do
628 test -z "$ac_dir" && ac_dir=.
629 if test -f $ac_dir/$ac_word; then
630 ac_cv_prog_CC="cl"
631 break
632 fi
633 done
634 IFS="$ac_save_ifs"
635 fi
636 fi
637 CC="$ac_cv_prog_CC"
638 if test -n "$CC"; then
639 echo "$ac_t""$CC" 1>&6
640 else
641 echo "$ac_t""no" 1>&6
642 fi
643 ;;
644 esac
645 fi
646 test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
647 fi
648
649 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
650 echo "configure:651: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
651
652 ac_ext=c
653 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
654 ac_cpp='$CPP $CPPFLAGS'
655 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
656 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
657 cross_compiling=$ac_cv_prog_cc_cross
658
659 cat > conftest.$ac_ext << EOF
660
661 #line 662 "configure"
662 #include "confdefs.h"
663
664 main(){return(0);}
665 EOF
666 if { (eval echo configure:667: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
667 ac_cv_prog_cc_works=yes
668 # If we can't run a trivial program, we are probably using a cross compiler.
669 if (./conftest; exit) 2>/dev/null; then
670 ac_cv_prog_cc_cross=no
671 else
672 ac_cv_prog_cc_cross=yes
673 fi
674 else
675 echo "configure: failed program was:" >&5
676 cat conftest.$ac_ext >&5
677 ac_cv_prog_cc_works=no
678 fi
679 rm -fr conftest*
680 ac_ext=c
681 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
682 ac_cpp='$CPP $CPPFLAGS'
683 ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
684 ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
685 cross_compiling=$ac_cv_prog_cc_cross
686
687 echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
688 if test $ac_cv_prog_cc_works = no; then
689 { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
690 fi
691 echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
692 echo "configure:693: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
693 echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
694 cross_compiling=$ac_cv_prog_cc_cross
695
696 echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
697 echo "configure:698: checking whether we are using GNU C" >&5
698 if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
699 echo $ac_n "(cached) $ac_c" 1>&6
700 else
701 cat > conftest.c <<EOF
702 #ifdef __GNUC__
703 yes;
704 #endif
705 EOF
706 if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:707: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
707 ac_cv_prog_gcc=yes
708 else
709 ac_cv_prog_gcc=no
710 fi
711 fi
712
713 echo "$ac_t""$ac_cv_prog_gcc" 1>&6
714
715 if test $ac_cv_prog_gcc = yes; then
716 GCC=yes
717 else
718 GCC=
719 fi
720
721 ac_test_CFLAGS="${CFLAGS+set}"
722 ac_save_CFLAGS="$CFLAGS"
723 CFLAGS=
724 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
725 echo "configure:726: checking whether ${CC-cc} accepts -g" >&5
726 if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
727 echo $ac_n "(cached) $ac_c" 1>&6
728 else
729 echo 'void f(){}' > conftest.c
730 if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
731 ac_cv_prog_cc_g=yes
732 else
733 ac_cv_prog_cc_g=no
734 fi
735 rm -f conftest*
736
737 fi
738
739 echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
740 if test "$ac_test_CFLAGS" = set; then
741 CFLAGS="$ac_save_CFLAGS"
742 elif test $ac_cv_prog_cc_g = yes; then
743 if test "$GCC" = yes; then
744 CFLAGS="-g -O2"
745 else
746 CFLAGS="-g"
747 fi
748 else
749 if test "$GCC" = yes; then
750 CFLAGS="-O2"
751 else
752 CFLAGS=
753 fi
754 fi
755
756 # Extract the first word of "flex", so it can be a program name with args.
757 set dummy flex; ac_word=$2
758 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
759 echo "configure:760: checking for $ac_word" >&5
760 if eval "test \"`echo '$''{'ac_cv_prog_LEX'+set}'`\" = set"; then
761 echo $ac_n "(cached) $ac_c" 1>&6
762 else
763 if test -n "$LEX"; then
764 ac_cv_prog_LEX="$LEX" # Let the user override the test.
765 else
766 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
767 ac_dummy="$PATH"
768 for ac_dir in $ac_dummy; do
769 test -z "$ac_dir" && ac_dir=.
770 if test -f $ac_dir/$ac_word; then
771 ac_cv_prog_LEX="flex"
772 break
773 fi
774 done
775 IFS="$ac_save_ifs"
776 test -z "$ac_cv_prog_LEX" && ac_cv_prog_LEX="lex"
777 fi
778 fi
779 LEX="$ac_cv_prog_LEX"
780 if test -n "$LEX"; then
781 echo "$ac_t""$LEX" 1>&6
782 else
783 echo "$ac_t""no" 1>&6
784 fi
785
786 if test -z "$LEXLIB"
787 then
788 case "$LEX" in
789 flex*) ac_lib=fl ;;
790 *) ac_lib=l ;;
791 esac
792 echo $ac_n "checking for yywrap in -l$ac_lib""... $ac_c" 1>&6
793 echo "configure:794: checking for yywrap in -l$ac_lib" >&5
794 ac_lib_var=`echo $ac_lib'_'yywrap | sed 'y%./+-%__p_%'`
795 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
796 echo $ac_n "(cached) $ac_c" 1>&6
797 else
798 ac_save_LIBS="$LIBS"
799 LIBS="-l$ac_lib $LIBS"
800 cat > conftest.$ac_ext <<EOF
801 #line 802 "configure"
802 #include "confdefs.h"
803 /* Override any gcc2 internal prototype to avoid an error. */
804 /* We use char because int might match the return type of a gcc2
805 builtin and then its argument prototype would still apply. */
806 char yywrap();
807
808 int main() {
809 yywrap()
810 ; return 0; }
811 EOF
812 if { (eval echo configure:813: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
813 rm -rf conftest*
814 eval "ac_cv_lib_$ac_lib_var=yes"
815 else
816 echo "configure: failed program was:" >&5
817 cat conftest.$ac_ext >&5
818 rm -rf conftest*
819 eval "ac_cv_lib_$ac_lib_var=no"
820 fi
821 rm -f conftest*
822 LIBS="$ac_save_LIBS"
823
824 fi
825 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
826 echo "$ac_t""yes" 1>&6
827 LEXLIB="-l$ac_lib"
828 else
829 echo "$ac_t""no" 1>&6
830 fi
831
832 fi
833
834 for ac_prog in 'bison -y' byacc
835 do
836 # Extract the first word of "$ac_prog", so it can be a program name with args.
837 set dummy $ac_prog; ac_word=$2
838 echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
839 echo "configure:840: checking for $ac_word" >&5
840 if eval "test \"`echo '$''{'ac_cv_prog_YACC'+set}'`\" = set"; then
841 echo $ac_n "(cached) $ac_c" 1>&6
842 else
843 if test -n "$YACC"; then
844 ac_cv_prog_YACC="$YACC" # Let the user override the test.
845 else
846 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS=":"
847 ac_dummy="$PATH"
848 for ac_dir in $ac_dummy; do
849 test -z "$ac_dir" && ac_dir=.
850 if test -f $ac_dir/$ac_word; then
851 ac_cv_prog_YACC="$ac_prog"
852 break
853 fi
854 done
855 IFS="$ac_save_ifs"
856 fi
857 fi
858 YACC="$ac_cv_prog_YACC"
859 if test -n "$YACC"; then
860 echo "$ac_t""$YACC" 1>&6
861 else
862 echo "$ac_t""no" 1>&6
863 fi
864
865 test -n "$YACC" && break
866 done
867 test -n "$YACC" || YACC="yacc"
868
869
870 LEXFLAGS="-8"
871 LEXSPEED="-Cf"
872
873 # Check whether --with-gd or --without-gd was given.
874 if test "${with_gd+set}" = set; then
875 withval="$with_gd"
876 LDFLAGS="${LDFLAGS} -L${withval}"
877 CFLAGS="${CFLAGS} -I${withval}"
878
879 fi
880
881
882 # Check whether --with-z or --without-z was given.
883 if test "${with_z+set}" = set; then
884 withval="$with_z"
885 LDFLAGS="${LDFLAGS} -L${withval}"
886 CFLAGS="${CFLAGS} -I${withval}"
887
888 fi
889
890
891 # Check whether --with-png or --without-png was given.
892 if test "${with_png+set}" = set; then
893 withval="$with_png"
894 LDFLAGS="${LDFLAGS} -L${withval}"
895 CFLAGS="${CFLAGS} -I${withval}"
896
897 fi
898
899
900 # Check whether --enable-speed or --disable-speed was given.
901 if test "${enable_speed+set}" = set; then
902 enableval="$enable_speed"
903 if test "$enableval" = "no"; then LEXSPEED=""; fi
904 fi
905
906
907 if test "x$LEXSPEED" != "x"
908 then
909 LEXFLAGS="$LEXFLAGS $LEXSPEED"
910 fi
911
912 LDFLAGS="${LDFLAGS} -lgd"
913
914
915 if test "x${GCC}" = "xyes"
916 then
917 CFLAGS="$CFLAGS -Wall"
918 echo $ac_n "checking "for gcc strength-reduce bug"""... $ac_c" 1>&6
919 echo "configure:920: checking "for gcc strength-reduce bug"" >&5
920 if eval "test \"`echo '$''{'ac_cv_c_gcc_strength_bug'+set}'`\" = set"; then
921 echo $ac_n "(cached) $ac_c" 1>&6
922 else
923 if test "$cross_compiling" = yes; then
924 ac_cv_c_gcc_strength_bug="yes"
925 else
926 cat > conftest.$ac_ext <<EOF
927 #line 928 "configure"
928 #include "confdefs.h"
929
930 int main(void) {
931 static int Array[3];
932 unsigned int B = 3;
933 int i;
934 for(i=0; i<B; i++) Array[i] = i - 3;
935 exit( Array[1] != -2 );
936 }
937 EOF
938 if { (eval echo configure:939: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
939 then
940 ac_cv_c_gcc_strength_bug="no"
941 else
942 echo "configure: failed program was:" >&5
943 cat conftest.$ac_ext >&5
944 rm -fr conftest*
945 ac_cv_c_gcc_strength_bug="yes"
946 fi
947 rm -fr conftest*
948 fi
949
950 fi
951
952 echo "$ac_t""$ac_cv_c_gcc_strength_bug" 1>&6
953 if test "$ac_cv_c_gcc_strength_bug" = "yes"
954 then
955 CFLAGS="$CFLAGS -fno-strength-reduce"
956 fi
957 fi
958
959
960 echo $ac_n "checking for sqrt in -lm""... $ac_c" 1>&6
961 echo "configure:962: checking for sqrt in -lm" >&5
962 ac_lib_var=`echo m'_'sqrt | sed 'y%./+-%__p_%'`
963 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
964 echo $ac_n "(cached) $ac_c" 1>&6
965 else
966 ac_save_LIBS="$LIBS"
967 LIBS="-lm $LIBS"
968 cat > conftest.$ac_ext <<EOF
969 #line 970 "configure"
970 #include "confdefs.h"
971 /* Override any gcc2 internal prototype to avoid an error. */
972 /* We use char because int might match the return type of a gcc2
973 builtin and then its argument prototype would still apply. */
974 char sqrt();
975
976 int main() {
977 sqrt()
978 ; return 0; }
979 EOF
980 if { (eval echo configure:981: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
981 rm -rf conftest*
982 eval "ac_cv_lib_$ac_lib_var=yes"
983 else
984 echo "configure: failed program was:" >&5
985 cat conftest.$ac_ext >&5
986 rm -rf conftest*
987 eval "ac_cv_lib_$ac_lib_var=no"
988 fi
989 rm -f conftest*
990 LIBS="$ac_save_LIBS"
991
992 fi
993 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
994 echo "$ac_t""yes" 1>&6
995
996 cat >> confdefs.h <<\EOF
997 #define LIBM 1
998 EOF
999
1000 MATHLIBS="-lm"
1001 else
1002 echo "$ac_t""no" 1>&6
1003 fi
1004
1005
1006 echo $ac_n "checking for gdImageGif in -lgd""... $ac_c" 1>&6
1007 echo "configure:1008: checking for gdImageGif in -lgd" >&5
1008 ac_lib_var=`echo gd'_'gdImageGif | sed 'y%./+-%__p_%'`
1009 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1010 echo $ac_n "(cached) $ac_c" 1>&6
1011 else
1012 ac_save_LIBS="$LIBS"
1013 LIBS="-lgd $LIBS"
1014 cat > conftest.$ac_ext <<EOF
1015 #line 1016 "configure"
1016 #include "confdefs.h"
1017 /* Override any gcc2 internal prototype to avoid an error. */
1018 /* We use char because int might match the return type of a gcc2
1019 builtin and then its argument prototype would still apply. */
1020 char gdImageGif();
1021
1022 int main() {
1023 gdImageGif()
1024 ; return 0; }
1025 EOF
1026 if { (eval echo configure:1027: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1027 rm -rf conftest*
1028 eval "ac_cv_lib_$ac_lib_var=yes"
1029 else
1030 echo "configure: failed program was:" >&5
1031 cat conftest.$ac_ext >&5
1032 rm -rf conftest*
1033 eval "ac_cv_lib_$ac_lib_var=no"
1034 fi
1035 rm -f conftest*
1036 LIBS="$ac_save_LIBS"
1037
1038 fi
1039 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1040 echo "$ac_t""yes" 1>&6
1041
1042 cat >> confdefs.h <<\EOF
1043 #define HAVE_IMAGE_GIF 1
1044 EOF
1045
1046
1047 else
1048 echo "$ac_t""no" 1>&6
1049 fi
1050
1051 echo $ac_n "checking for gdImagePng in -lgd""... $ac_c" 1>&6
1052 echo "configure:1053: checking for gdImagePng in -lgd" >&5
1053 ac_lib_var=`echo gd'_'gdImagePng | sed 'y%./+-%__p_%'`
1054 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1055 echo $ac_n "(cached) $ac_c" 1>&6
1056 else
1057 ac_save_LIBS="$LIBS"
1058 LIBS="-lgd $LIBS"
1059 cat > conftest.$ac_ext <<EOF
1060 #line 1061 "configure"
1061 #include "confdefs.h"
1062 /* Override any gcc2 internal prototype to avoid an error. */
1063 /* We use char because int might match the return type of a gcc2
1064 builtin and then its argument prototype would still apply. */
1065 char gdImagePng();
1066
1067 int main() {
1068 gdImagePng()
1069 ; return 0; }
1070 EOF
1071 if { (eval echo configure:1072: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1072 rm -rf conftest*
1073 eval "ac_cv_lib_$ac_lib_var=yes"
1074 else
1075 echo "configure: failed program was:" >&5
1076 cat conftest.$ac_ext >&5
1077 rm -rf conftest*
1078 eval "ac_cv_lib_$ac_lib_var=no"
1079 fi
1080 rm -f conftest*
1081 LIBS="$ac_save_LIBS"
1082
1083 fi
1084 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1085 echo "$ac_t""yes" 1>&6
1086
1087 cat >> confdefs.h <<\EOF
1088 #define HAVE_IMAGE_PNG 1
1089 EOF
1090
1091 LDFLAGS="$LDFLAGS -lpng -lz ${MATHLIBS}"
1092
1093 else
1094 echo "$ac_t""no" 1>&6
1095 fi
1096
1097 echo $ac_n "checking for gdImageJpeg in -lgd""... $ac_c" 1>&6
1098 echo "configure:1099: checking for gdImageJpeg in -lgd" >&5
1099 ac_lib_var=`echo gd'_'gdImageJpeg | sed 'y%./+-%__p_%'`
1100 if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
1101 echo $ac_n "(cached) $ac_c" 1>&6
1102 else
1103 ac_save_LIBS="$LIBS"
1104 LIBS="-lgd $LIBS"
1105 cat > conftest.$ac_ext <<EOF
1106 #line 1107 "configure"
1107 #include "confdefs.h"
1108 /* Override any gcc2 internal prototype to avoid an error. */
1109 /* We use char because int might match the return type of a gcc2
1110 builtin and then its argument prototype would still apply. */
1111 char gdImageJpeg();
1112
1113 int main() {
1114 gdImageJpeg()
1115 ; return 0; }
1116 EOF
1117 if { (eval echo configure:1118: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
1118 rm -rf conftest*
1119 eval "ac_cv_lib_$ac_lib_var=yes"
1120 else
1121 echo "configure: failed program was:" >&5
1122 cat conftest.$ac_ext >&5
1123 rm -rf conftest*
1124 eval "ac_cv_lib_$ac_lib_var=no"
1125 fi
1126 rm -f conftest*
1127 LIBS="$ac_save_LIBS"
1128
1129 fi
1130 if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
1131 echo "$ac_t""yes" 1>&6
1132
1133 cat >> confdefs.h <<\EOF
1134 #define HAVE_IMAGE_JPEG 1
1135 EOF
1136
1137 LDFLAGS="$LDFLAGS -ljpeg"
1138
1139 else
1140 echo "$ac_t""no" 1>&6
1141 fi
1142
1143
1144
1145 echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
1146 echo "configure:1147: checking how to run the C preprocessor" >&5
1147 # On Suns, sometimes $CPP names a directory.
1148 if test -n "$CPP" && test -d "$CPP"; then
1149 CPP=
1150 fi
1151 if test -z "$CPP"; then
1152 if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
1153 echo $ac_n "(cached) $ac_c" 1>&6
1154 else
1155 # This must be in double quotes, not single quotes, because CPP may get
1156 # substituted into the Makefile and "${CC-cc}" will confuse make.
1157 CPP="${CC-cc} -E"
1158 # On the NeXT, cc -E runs the code through the compiler's parser,
1159 # not just through cpp.
1160 cat > conftest.$ac_ext <<EOF
1161 #line 1162 "configure"
1162 #include "confdefs.h"
1163 #include <assert.h>
1164 Syntax Error
1165 EOF
1166 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1167 { (eval echo configure:1168: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1168 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1169 if test -z "$ac_err"; then
1170 :
1171 else
1172 echo "$ac_err" >&5
1173 echo "configure: failed program was:" >&5
1174 cat conftest.$ac_ext >&5
1175 rm -rf conftest*
1176 CPP="${CC-cc} -E -traditional-cpp"
1177 cat > conftest.$ac_ext <<EOF
1178 #line 1179 "configure"
1179 #include "confdefs.h"
1180 #include <assert.h>
1181 Syntax Error
1182 EOF
1183 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1184 { (eval echo configure:1185: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1185 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1186 if test -z "$ac_err"; then
1187 :
1188 else
1189 echo "$ac_err" >&5
1190 echo "configure: failed program was:" >&5
1191 cat conftest.$ac_ext >&5
1192 rm -rf conftest*
1193 CPP="${CC-cc} -nologo -E"
1194 cat > conftest.$ac_ext <<EOF
1195 #line 1196 "configure"
1196 #include "confdefs.h"
1197 #include <assert.h>
1198 Syntax Error
1199 EOF
1200 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1201 { (eval echo configure:1202: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1202 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1203 if test -z "$ac_err"; then
1204 :
1205 else
1206 echo "$ac_err" >&5
1207 echo "configure: failed program was:" >&5
1208 cat conftest.$ac_ext >&5
1209 rm -rf conftest*
1210 CPP=/lib/cpp
1211 fi
1212 rm -f conftest*
1213 fi
1214 rm -f conftest*
1215 fi
1216 rm -f conftest*
1217 ac_cv_prog_CPP="$CPP"
1218 fi
1219 CPP="$ac_cv_prog_CPP"
1220 else
1221 ac_cv_prog_CPP="$CPP"
1222 fi
1223 echo "$ac_t""$CPP" 1>&6
1224
1225 ac_safe=`echo "gd.h" | sed 'y%./+-%__p_%'`
1226 echo $ac_n "checking for gd.h""... $ac_c" 1>&6
1227 echo "configure:1228: checking for gd.h" >&5
1228 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1229 echo $ac_n "(cached) $ac_c" 1>&6
1230 else
1231 cat > conftest.$ac_ext <<EOF
1232 #line 1233 "configure"
1233 #include "confdefs.h"
1234 #include <gd.h>
1235 EOF
1236 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1237 { (eval echo configure:1238: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1238 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
1239 if test -z "$ac_err"; then
1240 rm -rf conftest*
1241 eval "ac_cv_header_$ac_safe=yes"
1242 else
1243 echo "$ac_err" >&5
1244 echo "configure: failed program was:" >&5
1245 cat conftest.$ac_ext >&5
1246 rm -rf conftest*
1247 eval "ac_cv_header_$ac_safe=no"
1248 fi
1249 rm -f conftest*
1250 fi
1251 if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1252 echo "$ac_t""yes" 1>&6
1253 have_gd_h="yes"
1254 else
1255 echo "$ac_t""no" 1>&6
1256 have_gd_h="no"
1257 fi
1258
1259
1260 if test $have_gd_h != "yes"; then
1261 echo
1262 echo "** The GD library is required for CvsGraph to function."
1263 echo " Get it from http://www.boutell.com, compile it and"
1264 echo " use either --with-gd-lib=DIR and --with-gd-inc=DIR to specify"
1265 echo " its location. You might also have to use --with-z-inc, --with-z-lib"
1266 echo " and --with-png-inc, --with-png-lib for gd versions 1.6 and higher."
1267 echo " Check config.log for more information on the problem. If your system"
1268 echo " has libgd installed, you probably mis the gd.h header file."
1269 exit 1
1270 fi
1271
1272
1273
1274 trap '' 1 2 15
1275 cat > confcache <<\EOF
1276 # This file is a shell script that caches the results of configure
1277 # tests run on this system so they can be shared between configure
1278 # scripts and configure runs. It is not useful on other systems.
1279 # If it contains results you don't want to keep, you may remove or edit it.
1280 #
1281 # By default, configure uses ./config.cache as the cache file,
1282 # creating it if it does not exist already. You can give configure
1283 # the --cache-file=FILE option to use a different cache file; that is
1284 # what configure does when it calls configure scripts in
1285 # subdirectories, so they share the cache.
1286 # Giving --cache-file=/dev/null disables caching, for debugging configure.
1287 # config.status only pays attention to the cache file if you give it the
1288 # --recheck option to rerun configure.
1289 #
1290 EOF
1291 # The following way of writing the cache mishandles newlines in values,
1292 # but we know of no workaround that is simple, portable, and efficient.
1293 # So, don't put newlines in cache variables' values.
1294 # Ultrix sh set writes to stderr and can't be redirected directly,
1295 # and sets the high bit in the cache file unless we assign to the vars.
1296 (set) 2>&1 |
1297 case `(ac_space=' '; set | grep ac_space) 2>&1` in
1298 *ac_space=\ *)
1299 # `set' does not quote correctly, so add quotes (double-quote substitution
1300 # turns \\\\ into \\, and sed turns \\ into \).
1301 sed -n \
1302 -e "s/'/'\\\\''/g" \
1303 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1304 ;;
1305 *)
1306 # `set' quotes correctly as required by POSIX, so do not add quotes.
1307 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1308 ;;
1309 esac >> confcache
1310 if cmp -s $cache_file confcache; then
1311 :
1312 else
1313 if test -w $cache_file; then
1314 echo "updating cache $cache_file"
1315 cat confcache > $cache_file
1316 else
1317 echo "not updating unwritable cache $cache_file"
1318 fi
1319 fi
1320 rm -f confcache
1321
1322 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1323
1324 test "x$prefix" = xNONE && prefix=$ac_default_prefix
1325 # Let make expand exec_prefix.
1326 test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1327
1328 # Any assignment to VPATH causes Sun make to only execute
1329 # the first set of double-colon rules, so remove it if not needed.
1330 # If there is a colon in the path, we need to keep it.
1331 if test "x$srcdir" = x.; then
1332 ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
1333 fi
1334
1335 trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1336
1337 DEFS=-DHAVE_CONFIG_H
1338
1339 # Without the "./", some shells look in PATH for config.status.
1340 : ${CONFIG_STATUS=./config.status}
1341
1342 echo creating $CONFIG_STATUS
1343 rm -f $CONFIG_STATUS
1344 cat > $CONFIG_STATUS <<EOF
1345 #! /bin/sh
1346 # Generated automatically by configure.
1347 # Run this file to recreate the current configuration.
1348 # This directory was configured as follows,
1349 # on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1350 #
1351 # $0 $ac_configure_args
1352 #
1353 # Compiler output produced by configure, useful for debugging
1354 # configure, is in ./config.log if it exists.
1355
1356 ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1357 for ac_option
1358 do
1359 case "\$ac_option" in
1360 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1361 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1362 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1363 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1364 echo "$CONFIG_STATUS generated by autoconf version 2.13"
1365 exit 0 ;;
1366 -help | --help | --hel | --he | --h)
1367 echo "\$ac_cs_usage"; exit 0 ;;
1368 *) echo "\$ac_cs_usage"; exit 1 ;;
1369 esac
1370 done
1371
1372 ac_given_srcdir=$srcdir
1373
1374 trap 'rm -fr `echo "Makefile config.h" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1375 EOF
1376 cat >> $CONFIG_STATUS <<EOF
1377
1378 # Protect against being on the right side of a sed subst in config.status.
1379 sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1380 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1381 $ac_vpsub
1382 $extrasub
1383 s%@SHELL@%$SHELL%g
1384 s%@CFLAGS@%$CFLAGS%g
1385 s%@CPPFLAGS@%$CPPFLAGS%g
1386 s%@CXXFLAGS@%$CXXFLAGS%g
1387 s%@FFLAGS@%$FFLAGS%g
1388 s%@DEFS@%$DEFS%g
1389 s%@LDFLAGS@%$LDFLAGS%g
1390 s%@LIBS@%$LIBS%g
1391 s%@exec_prefix@%$exec_prefix%g
1392 s%@prefix@%$prefix%g
1393 s%@program_transform_name@%$program_transform_name%g
1394 s%@bindir@%$bindir%g
1395 s%@sbindir@%$sbindir%g
1396 s%@libexecdir@%$libexecdir%g
1397 s%@datadir@%$datadir%g
1398 s%@sysconfdir@%$sysconfdir%g
1399 s%@sharedstatedir@%$sharedstatedir%g
1400 s%@localstatedir@%$localstatedir%g
1401 s%@libdir@%$libdir%g
1402 s%@includedir@%$includedir%g
1403 s%@oldincludedir@%$oldincludedir%g
1404 s%@infodir@%$infodir%g
1405 s%@mandir@%$mandir%g
1406 s%@CC@%$CC%g
1407 s%@LEX@%$LEX%g
1408 s%@LEXLIB@%$LEXLIB%g
1409 s%@YACC@%$YACC%g
1410 s%@CPP@%$CPP%g
1411 s%@LEXFLAGS@%$LEXFLAGS%g
1412
1413 CEOF
1414 EOF
1415
1416 cat >> $CONFIG_STATUS <<\EOF
1417
1418 # Split the substitutions into bite-sized pieces for seds with
1419 # small command number limits, like on Digital OSF/1 and HP-UX.
1420 ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1421 ac_file=1 # Number of current file.
1422 ac_beg=1 # First line for current file.
1423 ac_end=$ac_max_sed_cmds # Line after last line for current file.
1424 ac_more_lines=:
1425 ac_sed_cmds=""
1426 while $ac_more_lines; do
1427 if test $ac_beg -gt 1; then
1428 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1429 else
1430 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1431 fi
1432 if test ! -s conftest.s$ac_file; then
1433 ac_more_lines=false
1434 rm -f conftest.s$ac_file
1435 else
1436 if test -z "$ac_sed_cmds"; then
1437 ac_sed_cmds="sed -f conftest.s$ac_file"
1438 else
1439 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1440 fi
1441 ac_file=`expr $ac_file + 1`
1442 ac_beg=$ac_end
1443 ac_end=`expr $ac_end + $ac_max_sed_cmds`
1444 fi
1445 done
1446 if test -z "$ac_sed_cmds"; then
1447 ac_sed_cmds=cat
1448 fi
1449 EOF
1450
1451 cat >> $CONFIG_STATUS <<EOF
1452
1453 CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1454 EOF
1455 cat >> $CONFIG_STATUS <<\EOF
1456 for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1457 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1458 case "$ac_file" in
1459 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1460 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1461 *) ac_file_in="${ac_file}.in" ;;
1462 esac
1463
1464 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1465
1466 # Remove last slash and all that follows it. Not all systems have dirname.
1467 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1468 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1469 # The file is in a subdirectory.
1470 test ! -d "$ac_dir" && mkdir "$ac_dir"
1471 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1472 # A "../" for each directory in $ac_dir_suffix.
1473 ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1474 else
1475 ac_dir_suffix= ac_dots=
1476 fi
1477
1478 case "$ac_given_srcdir" in
1479 .) srcdir=.
1480 if test -z "$ac_dots"; then top_srcdir=.
1481 else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1482 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1483 *) # Relative path.
1484 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1485 top_srcdir="$ac_dots$ac_given_srcdir" ;;
1486 esac
1487
1488
1489 echo creating "$ac_file"
1490 rm -f "$ac_file"
1491 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1492 case "$ac_file" in
1493 *Makefile*) ac_comsub="1i\\
1494 # $configure_input" ;;
1495 *) ac_comsub= ;;
1496 esac
1497
1498 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1499 sed -e "$ac_comsub
1500 s%@configure_input@%$configure_input%g
1501 s%@srcdir@%$srcdir%g
1502 s%@top_srcdir@%$top_srcdir%g
1503 " $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1504 fi; done
1505 rm -f conftest.s*
1506
1507 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
1508 # NAME is the cpp macro being defined and VALUE is the value it is being given.
1509 #
1510 # ac_d sets the value in "#define NAME VALUE" lines.
1511 ac_dA='s%^\([ ]*\)#\([ ]*define[ ][ ]*\)'
1512 ac_dB='\([ ][ ]*\)[^ ]*%\1#\2'
1513 ac_dC='\3'
1514 ac_dD='%g'
1515 # ac_u turns "#undef NAME" with trailing blanks into "#define NAME VALUE".
1516 ac_uA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1517 ac_uB='\([ ]\)%\1#\2define\3'
1518 ac_uC=' '
1519 ac_uD='\4%g'
1520 # ac_e turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
1521 ac_eA='s%^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
1522 ac_eB='$%\1#\2define\3'
1523 ac_eC=' '
1524 ac_eD='%g'
1525
1526 if test "${CONFIG_HEADERS+set}" != set; then
1527 EOF
1528 cat >> $CONFIG_STATUS <<EOF
1529 CONFIG_HEADERS="config.h"
1530 EOF
1531 cat >> $CONFIG_STATUS <<\EOF
1532 fi
1533 for ac_file in .. $CONFIG_HEADERS; do if test "x$ac_file" != x..; then
1534 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1535 case "$ac_file" in
1536 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1537 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1538 *) ac_file_in="${ac_file}.in" ;;
1539 esac
1540
1541 echo creating $ac_file
1542
1543 rm -f conftest.frag conftest.in conftest.out
1544 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1545 cat $ac_file_inputs > conftest.in
1546
1547 EOF
1548
1549 # Transform confdefs.h into a sed script conftest.vals that substitutes
1550 # the proper values into config.h.in to produce config.h. And first:
1551 # Protect against being on the right side of a sed subst in config.status.
1552 # Protect against being in an unquoted here document in config.status.
1553 rm -f conftest.vals
1554 cat > conftest.hdr <<\EOF
1555 s/[\\&%]/\\&/g
1556 s%[\\$`]%\\&%g
1557 s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%${ac_dA}\1${ac_dB}\1${ac_dC}\2${ac_dD}%gp
1558 s%ac_d%ac_u%gp
1559 s%ac_u%ac_e%gp
1560 EOF
1561 sed -n -f conftest.hdr confdefs.h > conftest.vals
1562 rm -f conftest.hdr
1563
1564 # This sed command replaces #undef with comments. This is necessary, for
1565 # example, in the case of _POSIX_SOURCE, which is predefined and required
1566 # on some systems where configure will not decide to define it.
1567 cat >> conftest.vals <<\EOF
1568 s%^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*%/* & */%
1569 EOF
1570
1571 # Break up conftest.vals because some shells have a limit on
1572 # the size of here documents, and old seds have small limits too.
1573
1574 rm -f conftest.tail
1575 while :
1576 do
1577 ac_lines=`grep -c . conftest.vals`
1578 # grep -c gives empty output for an empty file on some AIX systems.
1579 if test -z "$ac_lines" || test "$ac_lines" -eq 0; then break; fi
1580 # Write a limited-size here document to conftest.frag.
1581 echo ' cat > conftest.frag <<CEOF' >> $CONFIG_STATUS
1582 sed ${ac_max_here_lines}q conftest.vals >> $CONFIG_STATUS
1583 echo 'CEOF
1584 sed -f conftest.frag conftest.in > conftest.out
1585 rm -f conftest.in
1586 mv conftest.out conftest.in
1587 ' >> $CONFIG_STATUS
1588 sed 1,${ac_max_here_lines}d conftest.vals > conftest.tail
1589 rm -f conftest.vals
1590 mv conftest.tail conftest.vals
1591 done
1592 rm -f conftest.vals
1593
1594 cat >> $CONFIG_STATUS <<\EOF
1595 rm -f conftest.frag conftest.h
1596 echo "/* $ac_file. Generated automatically by configure. */" > conftest.h
1597 cat conftest.in >> conftest.h
1598 rm -f conftest.in
1599 if cmp -s $ac_file conftest.h 2>/dev/null; then
1600 echo "$ac_file is unchanged"
1601 rm -f conftest.h
1602 else
1603 # Remove last slash and all that follows it. Not all systems have dirname.
1604 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1605 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1606 # The file is in a subdirectory.
1607 test ! -d "$ac_dir" && mkdir "$ac_dir"
1608 fi
1609 rm -f $ac_file
1610 mv conftest.h $ac_file
1611 fi
1612 fi; done
1613
1614 EOF
1615 cat >> $CONFIG_STATUS <<EOF
1616
1617 EOF
1618 cat >> $CONFIG_STATUS <<\EOF
1619
1620 exit 0
1621 EOF
1622 chmod +x $CONFIG_STATUS
1623 rm -fr confdefs* $ac_clean_files
1624 test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1625
1626
1627 echo "Configure done. Run 'make' to build CvsGraph"
1628

  ViewVC Help
Powered by ViewVC 1.1.0 with CvsGraph 1.7.0